package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.*;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccount;
import com.tzld.piaoquan.api.model.vo.contentplatform.AccountLoginVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.AccountVO;
import com.tzld.piaoquan.growth.common.utils.page.Page;

import java.util.List;

public interface ContentPlatformAccountService {
    AccountLoginVO login(AccountLoginParam param);

    ContentPlatformAccount getAccountByTelNum(String telNum);

    void sendMessageVerifyCode(AccountSendMessageParam param);

    Page<AccountVO> pageAccount(AccountListParam param);

    void accountForbidden(AccountForbiddenParam param);

    void saveAccount(AccountSaveParam param);

    List<ContentPlatformAccount> getAccountListByChannels(List<String> channels);

    ContentPlatformAccount getAccountByChannel(String channel);

    ContentPlatformAccount getAccountById(Long id);
}
